import { SvgIconProps } from "../../app/types/types";


export function SiteSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M16.0106 3.53629C15.623 3.53142 15.2333 3.63922 14.896 3.85791C14.8886 3.86258 14.8812 3.86736 14.8739 3.87223L3.76709 11.5089C3.63338 11.6009 3.52404 11.7239 3.4485 11.8675C3.37296 12.0111 3.33349 12.1709 3.3335 12.3332V25.6665C3.3335 26.9431 4.39019 27.9998 5.66683 27.9998H9.00016C9.26537 27.9998 9.51971 27.8944 9.70724 27.7069C9.89477 27.5194 10.0001 27.265 10.0002 26.9998V18.9998C10.0002 18.4355 10.4358 17.9998 11.0002 17.9998H20.9897C21.5564 17.9998 21.9925 18.4382 21.9897 19.005L21.9507 26.9946C21.95 27.1264 21.9754 27.257 22.0253 27.3789C22.0753 27.5008 22.1488 27.6117 22.2418 27.7051C22.3347 27.7985 22.4451 27.8726 22.5668 27.9232C22.6885 27.9738 22.8189 27.9998 22.9507 27.9998H26.3335C27.6101 27.9998 28.6668 26.9431 28.6668 25.6665V12.3332C28.6667 12.1708 28.627 12.0109 28.5513 11.8673C28.4755 11.7237 28.3659 11.6007 28.2319 11.5089L17.116 3.88525C16.7841 3.65756 16.3982 3.54116 16.0106 3.53629ZM15.9845 5.53499H15.9858L26.6668 12.8605V25.6665C26.6668 25.8632 26.5302 25.9998 26.3335 25.9998H23.9559L23.9897 19.0142C23.9977 17.3637 22.6404 15.9998 20.9897 15.9998H11.0002C9.35516 15.9998 8.00016 17.3548 8.00016 18.9998V25.9998H5.66683C5.47013 25.9998 5.3335 25.8632 5.3335 25.6665V12.8592L15.9845 5.53499ZM12.3335 19.3332C12.201 19.3313 12.0694 19.3558 11.9465 19.4052C11.8235 19.4546 11.7116 19.528 11.6172 19.621C11.5228 19.7141 11.4479 19.8249 11.3967 19.9472C11.3456 20.0694 11.3193 20.2006 11.3193 20.3332C11.3193 20.4657 11.3456 20.5969 11.3967 20.7192C11.4479 20.8414 11.5228 20.9523 11.6172 21.0453C11.7116 21.1384 11.8235 21.2117 11.9465 21.2611C12.0694 21.3106 12.201 21.335 12.3335 21.3332H19.6668C19.7993 21.335 19.9309 21.3106 20.0539 21.2611C20.1768 21.2117 20.2888 21.1384 20.3831 21.0453C20.4775 20.9523 20.5524 20.8414 20.6036 20.7192C20.6547 20.5969 20.6811 20.4657 20.6811 20.3332C20.6811 20.2006 20.6547 20.0694 20.6036 19.9472C20.5524 19.8249 20.4775 19.7141 20.3831 19.621C20.2888 19.528 20.1768 19.4546 20.0539 19.4052C19.9309 19.3558 19.7993 19.3313 19.6668 19.3332H12.3335ZM12.3335 22.6665C12.201 22.6646 12.0694 22.6891 11.9465 22.7385C11.8235 22.7879 11.7116 22.8613 11.6172 22.9543C11.5228 23.0474 11.4479 23.1583 11.3967 23.2805C11.3456 23.4028 11.3193 23.534 11.3193 23.6665C11.3193 23.799 11.3456 23.9302 11.3967 24.0525C11.4479 24.1747 11.5228 24.2856 11.6172 24.3787C11.7116 24.4717 11.8235 24.5451 11.9465 24.5945C12.0694 24.6439 12.201 24.6684 12.3335 24.6665H19.6668C19.7993 24.6684 19.9309 24.6439 20.0539 24.5945C20.1768 24.5451 20.2888 24.4717 20.3831 24.3787C20.4775 24.2856 20.5524 24.1747 20.6036 24.0525C20.6547 23.9302 20.6811 23.799 20.6811 23.6665C20.6811 23.534 20.6547 23.4028 20.6036 23.2805C20.5524 23.1583 20.4775 23.0474 20.3831 22.9543C20.2888 22.8613 20.1768 22.7879 20.0539 22.7385C19.9309 22.6891 19.7993 22.6646 19.6668 22.6665H12.3335ZM12.3335 25.9998C12.201 25.998 12.0694 26.0224 11.9465 26.0719C11.8235 26.1213 11.7116 26.1946 11.6172 26.2877C11.5228 26.3807 11.4479 26.4916 11.3967 26.6138C11.3456 26.7361 11.3193 26.8673 11.3193 26.9998C11.3193 27.1324 11.3456 27.2636 11.3967 27.3858C11.4479 27.5081 11.5228 27.6189 11.6172 27.712C11.7116 27.805 11.8235 27.8784 11.9465 27.9278C12.0694 27.9772 12.201 28.0017 12.3335 27.9998H19.6668C19.7993 28.0017 19.9309 27.9772 20.0539 27.9278C20.1768 27.8784 20.2888 27.805 20.3831 27.712C20.4775 27.6189 20.5524 27.5081 20.6036 27.3858C20.6547 27.2636 20.6811 27.1324 20.6811 26.9998C20.6811 26.8673 20.6547 26.7361 20.6036 26.6138C20.5524 26.4916 20.4775 26.3807 20.3831 26.2877C20.2888 26.1946 20.1768 26.1213 20.0539 26.0719C19.9309 26.0224 19.7993 25.998 19.6668 25.9998H12.3335Z"
        fill="#B0BAD3"
      />
    </svg>
  )
}
